> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/accounts-api/api-reference/organizations/approvals/runs.md).

# Runs

## GET /organizations/{organizationId}/approvals/{approvalId}/runs

> List approval flow runs

```json
{"openapi":"3.0.3","info":{"title":"Accounts","version":"v1"},"tags":[{"description":"Manage the MessageBird One platform.","name":"admin"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"parameters":{"cursor":{"name":"pageToken","description":"Pagination token that keeps of track of the current position in the list","in":"query","schema":{"type":"string"}},"limit":{"name":"limit","description":"Limits the number of results to return","in":"query","schema":{"type":"integer","minimum":1,"maximum":100,"default":10}},"direction":{"name":"reverse","description":"Order in which to retrieve the results","in":"query","schema":{"type":"boolean","default":false}}},"schemas":{"ApprovalRunList":{"type":"object","title":"ApprovalRunList","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/ApprovalRun"}}}},"ApprovalRun":{"type":"object","title":"ApprovalRun","additionalProperties":false,"properties":{"id":{"type":"string","format":"uuid"},"approvalFlowId":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"workspaceId":{"type":"string","format":"uuid"},"status":{"type":"string","enum":["pending","approved","denied"]},"activeStep":{"type":"number"},"previousObject":{"type":"object"},"object":{"type":"object"},"invoker":{"type":"object","nullable":true,"$ref":"#/components/schemas/approvalRunInvoker"},"tags":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}},"required":["key","value"]}},"results":{"type":"array","items":{"type":"object","properties":{"reviewer":{"$ref":"#/components/schemas/approvalStepReviewer"},"userId":{"type":"string","format":"uuid","deprecated":true},"result":{"type":"string","enum":["approved","rejected"]},"comment":{"type":"string"}},"required":["result"]}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","approvalFlowId","status","tags","results","createdAt","updatedAt"]},"approvalRunInvoker":{"type":"object","title":"ApprovalRunInvoker","description":"Reference to an entity that invoked the run for this flow.","additionalProperties":false,"properties":{"type":{"type":"string","enum":["user","accesskey","contact"],"description":"Type of entity that invoked the run."},"id":{"type":"string","format":"uuid","description":"ID of the entity that invoked the run."}},"required":["type","id"]},"approvalStepReviewer":{"type":"object","title":"ApprovalStepReviewer","description":"Reference to an entity that can review the runs for this flow.","additionalProperties":false,"properties":{"type":{"type":"string","enum":["user"]},"id":{"type":"string","format":"uuid"}},"required":["type","id"]},"responseBody":{"type":"object","title":"PaginatedList","description":"A list of results that supports pagination.","properties":{"nextPageToken":{"type":"string","description":"The token to fetch the next page of results. If empty, there are no more results to fetch."}}},"Error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Unique identifier for the error that occurred"},"message":{"type":"string","description":"Description of the error that occurred, aimed at API consumers"}}}},"responses":{"notFound":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Resource not found"}}},"paths":{"/organizations/{organizationId}/approvals/{approvalId}/runs":{"get":{"operationId":"listOrganizationApprovalRuns","parameters":[{"$ref":"#/components/parameters/cursor"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/direction"}],"responses":{"200":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ApprovalRunList"},{"$ref":"#/components/schemas/responseBody"}]}}},"description":"OK"},"404":{"$ref":"#/components/responses/notFound"}},"summary":"List approval flow runs","tags":["admin"]}}}}
```

## GET /organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}

> Get approval flow run

```json
{"openapi":"3.0.3","info":{"title":"Accounts","version":"v1"},"tags":[{"description":"Manage the MessageBird One platform.","name":"admin"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"schemas":{"ApprovalRun":{"type":"object","title":"ApprovalRun","additionalProperties":false,"properties":{"id":{"type":"string","format":"uuid"},"approvalFlowId":{"type":"string","format":"uuid"},"organizationId":{"type":"string","format":"uuid"},"workspaceId":{"type":"string","format":"uuid"},"status":{"type":"string","enum":["pending","approved","denied"]},"activeStep":{"type":"number"},"previousObject":{"type":"object"},"object":{"type":"object"},"invoker":{"type":"object","nullable":true,"$ref":"#/components/schemas/approvalRunInvoker"},"tags":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"value":{"type":"string"}},"required":["key","value"]}},"results":{"type":"array","items":{"type":"object","properties":{"reviewer":{"$ref":"#/components/schemas/approvalStepReviewer"},"userId":{"type":"string","format":"uuid","deprecated":true},"result":{"type":"string","enum":["approved","rejected"]},"comment":{"type":"string"}},"required":["result"]}},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","approvalFlowId","status","tags","results","createdAt","updatedAt"]},"approvalRunInvoker":{"type":"object","title":"ApprovalRunInvoker","description":"Reference to an entity that invoked the run for this flow.","additionalProperties":false,"properties":{"type":{"type":"string","enum":["user","accesskey","contact"],"description":"Type of entity that invoked the run."},"id":{"type":"string","format":"uuid","description":"ID of the entity that invoked the run."}},"required":["type","id"]},"approvalStepReviewer":{"type":"object","title":"ApprovalStepReviewer","description":"Reference to an entity that can review the runs for this flow.","additionalProperties":false,"properties":{"type":{"type":"string","enum":["user"]},"id":{"type":"string","format":"uuid"}},"required":["type","id"]},"Error":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","description":"Unique identifier for the error that occurred"},"message":{"type":"string","description":"Description of the error that occurred, aimed at API consumers"}}}},"responses":{"notFound":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Resource not found"}}},"paths":{"/organizations/{organizationId}/approvals/{approvalId}/runs/{approvalRunId}":{"get":{"operationId":"getOrganizationApprovalRun","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApprovalRun"}}},"description":"OK"},"404":{"$ref":"#/components/responses/notFound"}},"summary":"Get approval flow run","tags":["admin"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bird.com/api/accounts-api/api-reference/organizations/approvals/runs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
